Name: qfe
Version: 0.4
Release: 0
Copyright: GPL
Summary: Full-featured FTN message editor with a graphical interface.
Group: Applications/Communications
Packager: Alexander Shiyan <shc@users.sourceforge.net>
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://qfe.sourceforge.net/
Source: ftp://ftp.sourceforge.net/pub/sourceforge/q/qf/qfe/qfe-%{version}.tar.bz2
Requires: qt > 3.2
BuildPrereq: grep, qt-devel > 3.2

%description
QFE is full-featured FTN message editor with a graphical interface written on C++/Qt and does not depend on either KDE or Gnome.
All operations with FIDO message base use fidoconfig and smapi packages from HUSKY project.

%prep
%setup -q -n %{name}

%build
find . -name Makefile -exec rm -f {} \;
unset QFE_PREFIX
export QFE_PREFIX=/usr && qmake "CONFIG+=debug_off staticlibs quiet"
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/qfe
%{_datadir}/applications/qfe.desktop
%{_datadir}/icons/qfe.xpm
%{_datadir}/pixmaps/qfe.xpm
%{_datadir}/qfe/AUTHORS
%{_datadir}/qfe/COPYING
%{_datadir}/qfe/README
%{_datadir}/qfe/TODO
%{_datadir}/qfe/FAQ
%{_datadir}/qfe/ChangeLog
%{_datadir}/qfe/qfe.lsm
%{_datadir}/qfe/translations/*.qm
%{_datadir}/qfe/examples/*.sh

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/icons
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/pixmaps
fi

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/icons
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/pixmaps
fi
rmdir --ignore-fail-on-non-empty /usr/share/qfe/translations
rmdir --ignore-fail-on-non-empty /usr/share/qfe

%changelog
* Mon Jun 06 2005 Alexander Shiyan <shc@users.sourceforge.net>
- Update to version 0.4.
- Add "examples".

* Wed May 18 2005 Alexander Shiyan <shc@users.sourceforge.net>
- Update to version 0.3.

* Fri Apr 22 2005 Alexander Shiyan <shc@users.sourceforge.net>
- Update to version 0.2.

* Thu Apr 07 2005 Alexander Shiyan <shc@users.sourceforge.net>
- Wrote specfile; first build.
