#***************************************************************************
#*   Copyright (C) 2005 by Alexander Shiyan                                *
#*   shc@users.sourceforge.net                                             *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program; if not, write to the                         *
#*   Free Software Foundation, Inc.,                                       *
#*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
#***************************************************************************

TEMPLATE = subdirs 

CONFIG -= qt warn_on warn_off release debug
CONFIG += warn_on debug

!include(qfe.pri) {
	error(Can't find qfe.pri)
}

debug_off {
	CONFIG -= warn_on debug
	CONFIG += warn_off release
}

release:debug:error(Configuration Error!)

SUBDIRS += src

unix:exists(.distignore) {
	DISTARCH = "$$MAINTARGET"-"$$VERSION".tar.bz2
	DIRNAME = $$system(basename `pwd`)

	dist.target = dist
	dist.commands = @cd misc && sh -c "./make_dist.sh $$DISTARCH"

	update.target = update
	update.commands = @cvs update

	commit.target = commit
	commit.commands = @cvs commit

	QMAKE_EXTRA_UNIX_TARGETS += dist update commit
}

!quiet {
	!exists(Makefile) {
		unix:message(Prepared to install in $$HOME_PATH)
		message(Now type `make' to compile qfe)
	}
}
