/*************************#	include <huskylib/huskylib.h>
**************************************************
 *   Copyright (C) 2005 by Alexander Shiyan                                *
 *   shc@users.sourceforge.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _TFIDOCONFIG_H_
#define _TFIDOCONFIG_H_

#include <smapi/msgapi.h>

#undef FIDOCONF_VER1_4

#if MSGAPI_SUBVERSION < 0x250
#	if MSGAPI_SUBVERSION < 0x240
#		error "SMAPI library too old. Update SMAPI first!"
#	endif
#	define FIDOCONF_VER1_4
#else
#	if defined(MSGAPI_SUBVERSION)
#		include <huskylib/cvtdate.h>
#		include <huskylib/huskylib.h>
#	else
#		error "SMAPI library too old. Update SMAPI first!"
#	endif
#endif

#include <fidoconf/common.h>
#include <fidoconf/fidoconf.h>

#endif // _TFIDOCONFIG_H_
