/***************************************************************************
 *   Copyright (C) 2005 by Alexander Shiyan                                *
 *   shc@users.sourceforge.net                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

extern TConfig *Config;

void THelpWindow::init()
{
        setIcon(*Config->FindPixmap("icon_help.xpm"));

	BtnHome->setIconSet(QIconSet(*Config->FindPixmap("icon_home.xpm")));
	BtnBack->setIconSet(QIconSet(*Config->FindPixmap("icon_left.xpm")));
	BtnForw->setIconSet(QIconSet(*Config->FindPixmap("icon_right.xpm")));
	BtnAbout->setIconSet(QIconSet(*Config->FindPixmap("icon_about.xpm")));

	Config->GetPos(this);
	Config->GetSize(this, size().width(), size().height());

	HelpBrowser->setText("<font size=\"+1\"><p align=\"center\"><b>This window is under construction yet.</b></p></font>");
}

void THelpWindow::closeEvent(QCloseEvent *e)
{
	Config->SetPos(this);
	Config->SetSize(this);
	e->accept();
}

void THelpWindow::AboutClicked()
{
	TAbout *About = new TAbout(this);
	About->exec();
	delete About;
}
